[arch-commits] CVS update of extra/devel/gcc-gcj (4 files)

Jan de Groot jgc at archlinux.org
Sat Mar 8 21:36:13 UTC 2008


    Date: Saturday, March 8, 2008 @ 16:36:13
  Author: jgc
    Path: /home/cvs-extra/extra/devel/gcc-gcj

Modified: PKGBUILD (1.39 -> 1.40) gcc-hash-style-both.patch (1.1 -> 1.2)
          gcc_pure64.patch (1.2 -> 1.3)
          libjava-disable-static.dpatch (1.1 -> 1.2)

upgpkg: gcc-gcj 4.3.0-1
    Update to 4.3.0, use upstream java sources now


-------------------------------+
 PKGBUILD                      |   83 +++++++++++--------------------------
 gcc-hash-style-both.patch     |   89 ++++++++++++++++++++++++++--------------
 gcc_pure64.patch              |    2 
 libjava-disable-static.dpatch |   22 ++++-----
 4 files changed, 95 insertions(+), 101 deletions(-)


Index: extra/devel/gcc-gcj/PKGBUILD
diff -u extra/devel/gcc-gcj/PKGBUILD:1.39 extra/devel/gcc-gcj/PKGBUILD:1.40
--- extra/devel/gcc-gcj/PKGBUILD:1.39	Sun Feb  3 16:12:43 2008
+++ extra/devel/gcc-gcj/PKGBUILD	Sat Mar  8 16:36:13 2008
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.39 2008/02/03 21:12:43 jgc Exp $
+# $Id: PKGBUILD,v 1.40 2008/03/08 21:36:13 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 # There's a circular dependency between gcc-gcj and eclipse-ecj. There is no 
@@ -6,27 +6,29 @@
 # the dependency and using that with eclipse-ecj to build this version.
 
 pkgname=gcc-gcj
-pkgver=4.2.3
+pkgver=4.3.0
 pkgrel=1
-#_snapshot=4.2.1-RC-20070703
-_javaver=20080201
 pkgdesc="GNU Java Environment"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
 url="http://gcc.gnu.org"
-depends=("gcc>=4.2.3-1" "gtk2>=2.12.5" 'file' 'libsm' 'libxtst' 'alsa-lib' "eclipse-ecj>=3.3.1.1")
-makedepends=('texinfo' 'pkgconfig' 'xulrunner>=1.8.1.11' 'libart-lgpl' 'jack-audio-connection-kit' 'libxtst')
-noextract=("gcc-java-${_javaver}.tar.bz2")
+depends=("gcc>=4.3.0" "gtk2>=2.12.5" 'file' 'libsm' 'libxtst' 'alsa-lib' "eclipse-ecj>=3.3.1.1")
+makedepends=('texinfo' 'pkgconfig' 'xulrunner>=1.8.1.12' 'libart-lgpl' 'jack-audio-connection-kit' 'libxtst')
 options=('!libtool')
-source=(#ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++}-${_snapshot}.tar.bz2
-	ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++}-${pkgver}.tar.bz2
-	#http://www.archlinux.org/~jgc/gcc/gcc-ecj-${_javaver}.tar.bz2
-	ftp://ftp.archlinux.org/other/gcc/gcc-java-${_javaver}.tar.bz2
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,g++,java}-${pkgver}.tar.bz2
 	gcj-4.3-tools.jar-path.diff
 	gcc_pure64.patch
 	libjava-disable-static.dpatch
 	libjava-sjlj.dpatch
 	gcc-hash-style-both.patch)
+md5sums=('b1dc085dea8019cb92d4ee793562d1e4'
+         '18eb135121f6e8190005e5a7e5ba2602'
+         '49cb0ae1e9d54fe5f5a3004a3c019cc2'
+         '602eb960c7752cc4877309e691110c06'
+         '4030ee1c08dd1e843c0225b772360e76'
+         'e5e13a1815b676b66e119c7f46550a90'
+         'afe3541abf5ce163223f94ccdbc66e30'
+         'bb420bc84b1104455b7230b1cd4b96c2')
 
 build() {
   if ! locale -a | grep ^de_DE; then
@@ -35,65 +37,31 @@
   fi
   [ -z "${MOZ_PLUGIN_PATH}" ] && . /etc/profile.d/mozilla-common.sh ]
 
-  #cd ${startdir}/src/gcc-${_snapshot}
   cd ${startdir}/src/gcc-${pkgver}
-  tar jxf ${startdir}/src/gcc-java-${_javaver}.tar.bz2 || return 1
+
   # Don't install libiberty
   sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
-  # Don't run fixincludes
-  sed -i -e 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+
   if [ "${CARCH}" = "x86_64" ]; then
     patch -Np1 -i ../gcc_pure64.patch || return 1
   fi
   chmod +x ${startdir}/src/*.dpatch
   ${startdir}/src/libjava-disable-static.dpatch -patch || return 1
+  echo 'sjlj'
   ${startdir}/src/libjava-sjlj.dpatch -patch || return 1
+
+  echo 'hash'
   patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
+  echo 'tools'
   patch -Np0 -i ${startdir}/src/gcj-4.3-tools.jar-path.diff || return 1
 
-  #echo ${pkgver} > gcc/BASE-VER
-
   mkdir build
   cd build
-  mkdir java_hacks
-  cd java_hacks
-  if [ ! -x /usr/bin/gjavah ]; then
-    cp -a ../../libjava/classpath/tools/external external
-    mkdir -p gnu/classpath/tools
-    cp -a ../../libjava/classpath/tools/gnu/classpath/tools/{common,javah,getopt} gnu/classpath/tools
-    cp -a ../../libjava/classpath/resource/gnu/classpath/tools/common/Messages.properties gnu/classpath/tools/common
-    cp -a ../../libjava/classpath/resource/gnu/classpath/tools/getopt/Messages.properties gnu/classpath/tools/getopt
-    rm -f gnu/classpath/tools/common/CallbackUtil.java
-    cd external/asm
-    for i in `find . -name \*.java `; do
-      gcj --encoding ISO-8859-1 -C $i -I.
-    done
-    cd ../..
-    for i in `find gnu -name \*.java`; do
-      gcj -C $i -I. -Iexternal/asm/
-    done
-    gcj -findirect-dispatch -O2 -fmain=gnu.classpath.tools.javah.Main -I. -Iexternal/asm/ `find . -name \*.class` -o gjavah.real
-    cat > gjavah <<EOF
-#!/bin/sh
-export CLASSPATH=`pwd`${CLASSPATH:+:$CLASSPATH}
-exec `pwd`/gjavah.real "\$@"
-EOF
-
-    chmod +x gjavah
-  fi
-  cat > ecj1 << EOF
-#!/bin/sh
-exec gij -cp /usr/share/java/eclipse-ecj.jar org.eclipse.jdt.internal.compiler.batch.GCCMain "\$@"
-EOF
-
-  chmod +x ecj1
-  export PATH=`pwd`${PATH:+:$PATH}
-  cd ..
-
   ../configure --prefix=/usr --enable-shared \
      --enable-languages=java --enable-threads=posix \
      --enable-__cxa_atexit --enable-java-awt=gtk \
-     --libdir=/usr/lib --libexecdir=/usr/lib --disable-multilib --enable-clocale=gnu \
+     --libdir=/usr/lib --libexecdir=/usr/lib --disable-multilib \
+     --enable-clocale=gnu --mandir=/usr/share/man \
      --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre \
      --enable-libgcj-multifile --with-tune=generic \
      --with-ecj-jar=/usr/share/java/eclipse-ecj.jar \
@@ -119,8 +87,9 @@
    # Save >10MB with this one, makepkg only strips debug symbols.
    find ${startdir}/pkg/usr/lib -type f -name '*.so.*' -exec strip --strip-unneeded {} \;
 
-   linkdir=`basename $startdir/pkg/usr/lib/gcj-${pkgver}*` ; echo $linkdir
-   ln -sf $linkdir ${startdir}/pkg/usr/lib/gcj-4.2
-   ln -sf libgcj-${pkgver}.jar ${startdir}/pkg/usr/share/java/libgcj-4.2.jar
-   ln -sf libgcj-tools-${pkgver}.jar ${startdir}/pkg/usr/share/java/libgcj-tools-4.2.jar
+   linkdir=`basename $startdir/pkg/usr/lib/gcj-${pkgver}*`
+   ln -sf $linkdir ${startdir}/pkg/usr/lib/gcj-4.3
+   ln -sf libgcj-${pkgver}.jar ${startdir}/pkg/usr/share/java/libgcj-4.3.jar
+   ln -sf libgcj-tools-${pkgver}.jar ${startdir}/pkg/usr/share/java/libgcj-tools-4.3.jar
+
 }
Index: extra/devel/gcc-gcj/gcc-hash-style-both.patch
diff -u extra/devel/gcc-gcj/gcc-hash-style-both.patch:1.1 extra/devel/gcc-gcj/gcc-hash-style-both.patch:1.2
--- extra/devel/gcc-gcj/gcc-hash-style-both.patch:1.1	Sun Jun 24 14:37:54 2007
+++ extra/devel/gcc-gcj/gcc-hash-style-both.patch	Sat Mar  8 16:36:13 2008
@@ -1,3 +1,30 @@
+#! /bin/sh -e
+
+# DP: Link using --hash-style=both (alpha, amd64, ia64, i386, powerpc, ppc64, s390, sparc)
+
+dir=
+if [ $# -eq 3 -a "$2" = '-d' ]; then
+    pdir="-d $3"
+    dir="$3/"
+elif [ $# -ne 1 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch)
+        patch $pdir -f --no-backup-if-mismatch -p0 < $0
+        #cd ${dir}gcc && autoconf
+        ;;
+    -unpatch)
+        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
+        #rm ${dir}gcc/configure
+        ;;
+    *)
+        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+        exit 1
+esac
+exit 0
+
 2006-07-11  Jakub Jelinek  <jakub at redhat.com>
 
 	* config/i386/linux.h (LINK_SPEC): Add --hash-style=both.
@@ -12,9 +39,9 @@
 	LINK_ARCH64_SPEC): Likewise.
 	* config/alpha/linux-elf.h (LINK_SPEC): Likewise.
 
---- gcc/config/alpha/linux-elf.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/alpha/linux-elf.h	2006-12-11 13:03:10.336229000 +0100
-@@ -40,7 +40,7 @@
+--- gcc/config/alpha/linux-elf.h.orig	2007-08-04 08:55:58.000000000 +0200
++++ gcc/config/alpha/linux-elf.h	2007-09-01 15:47:26.605865578 +0200
+@@ -39,7 +39,7 @@
  
  #define ELF_DYNAMIC_LINKER	LINUX_DYNAMIC_LINKER
  
@@ -23,9 +50,9 @@
    %{O*:-O3} %{!O*:-O1}						\
    %{shared:-shared}						\
    %{!shared:							\
---- gcc/config/s390/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/s390/linux.h	2006-12-11 13:03:10.336229000 +0100
-@@ -78,7 +78,7 @@
+--- gcc/config/s390/linux.h.orig	2007-08-04 08:55:59.000000000 +0200
++++ gcc/config/s390/linux.h	2007-09-01 15:47:26.605865578 +0200
+@@ -77,7 +77,7 @@
  
  #undef  LINK_SPEC
  #define LINK_SPEC \
@@ -34,9 +61,9 @@
     %{shared:-shared} \
     %{!shared: \
        %{static:-static} \
---- gcc/config/sparc/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/sparc/linux.h	2006-12-11 13:03:10.336229000 +0100
-@@ -133,7 +133,7 @@
+--- gcc/config/sparc/linux.h.orig	2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux.h	2007-09-01 15:47:26.605865578 +0200
+@@ -132,7 +132,7 @@
  
  
  #undef  LINK_SPEC
@@ -45,9 +72,9 @@
    %{!mno-relax:%{!r:-relax}} \
    %{!shared: \
      %{!ibcs: \
---- gcc/config/sparc/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/sparc/linux64.h	2006-12-11 13:03:10.336229000 +0100
-@@ -167,7 +167,7 @@
+--- gcc/config/sparc/linux64.h.orig	2007-08-04 08:56:01.000000000 +0200
++++ gcc/config/sparc/linux64.h	2007-09-01 15:47:26.605865578 +0200
+@@ -166,7 +166,7 @@
    { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
    { "link_arch",	 LINK_ARCH_SPEC },
  
@@ -56,7 +83,7 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
-@@ -176,7 +176,7 @@
+@@ -175,7 +175,7 @@
          %{static:-static}}} \
  "
  
@@ -65,7 +92,7 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
-@@ -257,7 +257,7 @@
+@@ -256,7 +256,7 @@
  #else /* !SPARC_BI_ARCH */
  
  #undef LINK_SPEC
@@ -74,9 +101,9 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
---- gcc/config/i386/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/i386/linux.h	2006-12-11 13:03:10.336229000 +0100
-@@ -109,7 +109,7 @@
+--- gcc/config/i386/linux.h.orig	2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux.h	2007-09-01 15:47:26.605865578 +0200
+@@ -108,7 +108,7 @@
    { "dynamic_linker", LINUX_DYNAMIC_LINKER }
  
  #undef	LINK_SPEC
@@ -85,19 +112,19 @@
    %{!shared: \
      %{!ibcs: \
        %{!static: \
---- gcc/config/i386/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
-+++ gcc/config/i386/linux64.h	2006-12-11 13:03:51.046229000 +0100
-@@ -53,7 +53,7 @@
- #define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
+--- gcc/config/i386/linux64.h.orig	2007-08-04 08:56:07.000000000 +0200
++++ gcc/config/i386/linux64.h	2007-09-01 15:48:27.336781690 +0200
+@@ -65,7 +65,7 @@
+ #endif
  
  #undef	LINK_SPEC
--#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
-+#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} --hash-style=both \
+-#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} \
++#define LINK_SPEC "%{" SPEC_64 ":-m elf_x86_64} %{" SPEC_32 ":-m elf_i386} --hash-style=both \
    %{shared:-shared} \
    %{!shared: \
      %{!static: \
---- gcc/config/ia64/linux.h.orig	2006-12-11 13:02:43.406229000 +0100
-+++ gcc/config/ia64/linux.h	2006-12-11 13:03:10.346229000 +0100
+--- gcc/config/ia64/linux.h.orig	2006-12-12 18:59:53.000000000 +0100
++++ gcc/config/ia64/linux.h	2007-09-01 15:47:26.605865578 +0200
 @@ -40,7 +40,7 @@
  #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
  
@@ -107,9 +134,9 @@
    %{shared:-shared} \
    %{!shared: \
      %{!static: \
---- gcc/config/rs6000/sysv4.h.orig	2006-12-11 13:02:43.406229000 +0100
-+++ gcc/config/rs6000/sysv4.h	2006-12-11 13:03:10.346229000 +0100
-@@ -908,7 +908,7 @@
+--- gcc/config/rs6000/sysv4.h.orig	2007-08-08 23:37:49.000000000 +0200
++++ gcc/config/rs6000/sysv4.h	2007-09-01 15:47:26.615865729 +0200
+@@ -901,7 +901,7 @@
  #define LINUX_DYNAMIC_LINKER \
    CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
  
@@ -118,9 +145,9 @@
    %{rdynamic:-export-dynamic} \
    %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER "}}}"
  
---- gcc/config/rs6000/linux64.h.orig	2006-12-11 13:02:43.406229000 +0100
-+++ gcc/config/rs6000/linux64.h	2006-12-11 13:03:10.346229000 +0100
-@@ -351,11 +351,11 @@
+--- gcc/config/rs6000/linux64.h.orig	2007-08-04 08:56:12.000000000 +0200
++++ gcc/config/rs6000/linux64.h	2007-09-01 15:47:26.615865729 +0200
+@@ -354,11 +354,11 @@
    CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
  
  
Index: extra/devel/gcc-gcj/gcc_pure64.patch
diff -u extra/devel/gcc-gcj/gcc_pure64.patch:1.2 extra/devel/gcc-gcj/gcc_pure64.patch:1.3
--- extra/devel/gcc-gcj/gcc_pure64.patch:1.2	Sun May 20 13:32:02 2007
+++ extra/devel/gcc-gcj/gcc_pure64.patch	Sat Mar  8 16:36:13 2008
@@ -19,7 +19,7 @@
  
  MULTILIB_OPTIONS = m64/m32
  MULTILIB_DIRNAMES = 64 32 
--MULTILIB_OSDIRNAMES = ../lib64 ../lib
+-MULTILIB_OSDIRNAMES = ../lib64 $(if $(wildcard $(shell echo $(SYSTEM_HEADER_DIR))/../../usr/lib32),../lib32,../lib)
 +MULTILIB_OSDIRNAMES = ../lib ../lib32
  
  LIBGCC = stmp-multilib
Index: extra/devel/gcc-gcj/libjava-disable-static.dpatch
diff -u extra/devel/gcc-gcj/libjava-disable-static.dpatch:1.1 extra/devel/gcc-gcj/libjava-disable-static.dpatch:1.2
--- extra/devel/gcc-gcj/libjava-disable-static.dpatch:1.1	Mon Apr 30 07:56:54 2007
+++ extra/devel/gcc-gcj/libjava-disable-static.dpatch	Sat Mar  8 16:36:13 2008
@@ -23,25 +23,23 @@
 esac
 exit 0
 
-Index: Makefile.in
-===================================================================
---- Makefile.in	(revision 117742)
-+++ Makefile.in	(working copy)
-@@ -32681,7 +32681,7 @@
- 	libsrcdir="$$s/libjava"; \
+--- Makefile.in~	2007-03-26 10:44:16.881179540 +0200
++++ Makefile.in	2007-03-26 10:48:27.564961048 +0200
+@@ -43901,7 +43901,7 @@
  	rm -f no-such-file || : ; \
  	CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
--	  $(TARGET_CONFIGARGS) $${srcdiroption}  \
-+	  $(TARGET_CONFIGARGS) --disable-static $${srcdiroption}  \
+ 	  $(TARGET_CONFIGARGS) --build=${build_alias} --host=${target_alias} \
+-	  --target=${target_alias} $${srcdiroption}  \
++	  --target=${target_alias} --disable-static $${srcdiroption}  \
  	  || exit 1
  @endif target-libjava
  
-@@ -33379,7 +33379,7 @@
- 	libsrcdir="$$s/boehm-gc"; \
+@@ -44783,7 +44783,7 @@
  	rm -f no-such-file || : ; \
  	CONFIG_SITE=no-such-file $(SHELL) $${libsrcdir}/configure \
--	  $(TARGET_CONFIGARGS) $${srcdiroption}  \
-+	  $(TARGET_CONFIGARGS) --disable-static $${srcdiroption}  \
+ 	  $(TARGET_CONFIGARGS) --build=${build_alias} --host=${target_alias} \
+-	  --target=${target_alias} $${srcdiroption}  \
++	  --target=${target_alias} --disable-static $${srcdiroption}  \
  	  || exit 1
  @endif target-boehm-gc
  




More information about the arch-commits mailing list